PrefabFiles = {
	"dracul",
	"dracul_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/dracul.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/dracul.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/dracul.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/dracul.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/dracul_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/dracul_silho.xml" ),

    Asset( "IMAGE", "bigportraits/dracul.tex" ),
    Asset( "ATLAS", "bigportraits/dracul.xml" ),
	
	Asset( "IMAGE", "images/map_icons/dracul.tex" ),
	Asset( "ATLAS", "images/map_icons/dracul.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_dracul.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_dracul.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_dracul.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_dracul.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_dracul.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_dracul.xml" ),
	
	Asset( "IMAGE", "images/names_dracul.tex" ),
    Asset( "ATLAS", "images/names_dracul.xml" ),
	
    Asset( "IMAGE", "bigportraits/dracul_none.tex" ),
    Asset( "ATLAS", "bigportraits/dracul_none.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/dracul.fev"),
	Asset("SOUND", "sound/dracul.fsb"),

}

--RemapSoundEvent( "dontstarve/characters/dracul/death_voice", "dracul/characters/sound/death_voice" )
--RemapSoundEvent( "dontstarve/characters/dracul/hurt", "dracul/characters/sound/hurt" )
--RemapSoundEvent( "dontstarve/characters/dracul/talk_LP", "dracul/characters/sound/talk_LP" )

RemapSoundEvent( "dontstarve/characters/dracul/death_voice", "dracul/dracul/death_voice" )
RemapSoundEvent( "dontstarve/characters/dracul/hurt", "dracul/dracul/hurt" )
RemapSoundEvent( "dontstarve/characters/dracul/talk_LP", "dracul/dracul/talk_LP" )
RemapSoundEvent("dontstarve/characters/dracul/emote", "dracul/dracul/emote")

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.dracul = "The Vampire Dragon"
STRINGS.CHARACTER_NAMES.dracul = "Esc"
STRINGS.CHARACTER_DESCRIPTIONS.dracul = "*Is stronger at night but weak during the day.\n*Eats anything.\n*Is the Lord of Darkness."
STRINGS.CHARACTER_QUOTES.dracul = "\"The Dragon has returned!\""

-- Custom speech strings
STRINGS.CHARACTERS.DRACUL = require "speech_dracul"

-- The character's name as appears in-game 
STRINGS.NAMES.DRACUL = "Esc"

AddMinimapAtlas("images/map_icons/dracul.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("dracul", "MALE")

